#include<cstdio>
int main()
{ int T,Ai,Bi,i,Xi,Yi;
  scanf("%d",&T);
  for(i=0;i<=T;i++){ printf("\n")
     scanf("%d %d",&Ai,&Bi);
     if(Ai%2==0) printf("-1");
     return 0;
     }
  for(i=0;i<=T;i++){ printf("\n")
     scanf("%d %d",&Ai,&Bi);
     
     
     
     
     }
  return 0;
  }